/**
 * create by robot 
 * date Thu Sep 12 16:16:37 CST 2019 
 */ 

var pageIndex=1;
$(document).ready(function(){
	//调用查询
	pageIndex=StringUtil.getQueryString('pageIndex');
	if(pageIndex==undefined||pageIndex==null){
		pageIndex=1;
	}
	//绑定hover操作
	$(document).on('mouseenter','.listOperaters',function(){
		$(this).children(".ops_itemDiv").show();
		var width=15;
		$(this).children('div').find('li').each(function(){
			//获取li宽度
			width+=$(this).width();
		});
		$(this).children('div').width(width);
	})
	$(document).on('mouseleave','.listOperaters',function(){
		$(this).children(".ops_itemDiv").hide();
	});

	//日历控件
	layui.use(['layer', 'laydate'], function() {
		var layer = layui.layer;
		laydate = layui.laydate;
		laydate.render({
		elem: '#date1' //指定元素
		});
		laydate.render({
			elem: '#date2' //指定元素
		});
	});


	//行选中事件
	$("#allCheck").find("span").click(function() {
		$(this).toggleClass('checked');
		if($(this).hasClass('checked')){
			//所有列选中
		  $(".checker").find("span").each(function () {
		         $(this).addClass("checked");
		    })
		}else{
			//所有列取消选中
			$(".checker").find("span").each(function () {
				 $(this).removeClass("checked");
		    })
		}
	});

	//单个选中
	$(document).on('click','.checkeBox span',function() {
		$(this).toggleClass('checked');
		//设置头部事件
		var length=$('.checkeBox span').length;
		var count=0;
		$(".checkeBox").find("span").each(function () {
	        if($(this).hasClass("checked")){
	        	count++;
	        }
	   })
		//全选
	   if(count==length){
		   $("#allCheck").find("span").addClass('checked');
	   }else{
		   $("#allCheck").find("span").removeClass('checked');
	   }
	})
	//左右div高度相等
	var left_content_height = $(".right-content").height();
	$(".left-content").height(left_content_height+35);
	var sub_left_height=$(".res-menu").height(left_content_height-60);
});

//初始化新增
function initAddUserApp(){
	window.location=ctx+'/promoter/queryUserAppDetails?pageIndex='+pageIndex;
}


//初始化审核
function toExamine(id){
	var htmlStr = '<div style="margin: 10px;"><label class="layui-form-label">理由：</label><textarea class="layui-textarea" id="certReason"></textarea></div>';
	layer.open({
		type:1,
		title:'实名认证审核',
		area: '350px;',
		shade:0.3,
		maxmin:true,
		content:htmlStr,
		btn:['通过','不通过'],
		yes:function(){
			var certReason = $("#certReason").val();
			examine(3,id,certReason);
		},
		btn2:function(){
			var certReason = $("#certReason").val();
			if(StringUtil.isBlank(certReason)){
				layer.msg('请填写不通过理由');
				return;
			}
			examine(2,id,certReason);
		}
	})
}

function examine(status,id,certReason){
	var url=ctx+'/promoter/toExamine';
	$.ajax({  
        url:url,  
        type:"post", 
        dataType:"json",  
        data:{  
        	"id":id,
        	"status":status,
        	"certReason":certReason
        },  
        success:function(result){
        	queryUserApp(pageIndex);
        	layer.msg(result.resultMessage);
        	setTimeout(function (){layer.closeAll();},1500);
        }
	})
}

//初始化删除
function initDeleteUserApp(id){
	
		layer.open({
		type: 1,
		closeBtn: 1,		title: '提示',
		offset: 'm', //具体配置参考：offset参数项
		area: ['300px', '180px'],
		content: '<div style="padding:10px;" class="textc mt20">确认删除吗？</div>',
		btn: ['确认','取消'],
		btnAlign: 'r'	, //按钮居中
		shade: 0.3 ,//不显示遮罩
		yes: function() {
			layer.closeAll();
			deleteUserApp(id,true);
		}
	});
}

//删除
function deleteUserApp(id,showMsg){
	$.ajax({
		url:ctx+'/promoter/deleteUserApp',
		data:[{
			name:'id',
			value:id
		}],
		type:'POST',
		dataType:'json',
		success:function(){
			queryUserApp(pageIndex);
			if(showMsg){
				layer.msg('删除成功!');	
			}
		}
	});
}
//头部编辑
function initEditUserApp(){
	var count=0;
	var id=0;
	$(".checkeBox").find("span").each(function () {
         if($(this).hasClass("checked")){
        	 count++;
        	 id=$(this).data('id');
         }
    })
    if(count>1){
    	layer.msg('只能选中一行记录进行操作!');
    	return ;
    }
	 if(count==0){
    	layer.msg('请选中一行记录!');
    	return ;
	  }
	 if(id>0){
	  showUserAppDetails(id);
	 }
}
//头部删除
function initBatchDeleteUserApp(){
	var count=0;
	$(".checkeBox").find("span").each(function () {
         if($(this).hasClass("checked")){
        	 count++;
         }
    })
	
	 if(count==0){
    	layer.msg('请选中一行记录!');
    	return ;
	  }
	layer.open({
		type: 1,
		closeBtn: 1,
		title: '提示',
		offset: 'm', //具体配置参考：offset参数项
		area: ['300px', '180px'],
		content: '<div style="padding:10px;" class="textc mt20">确认删除吗？</div>',
		btn: ['确认','取消'],
		btnAlign: 'r', //按钮居中
		shade: 0.3, //不显示遮罩
		yes: function() {
			layer.closeAll();
			deleteBatchUserApp();
		}
	});
	
}
//批量删除
function deleteBatchUserApp(){
	
	$(".checkeBox").find("span").each(function () {
        if($(this).hasClass("checked")){
        	var id=$(this).data('id');
        	deleteUserApp(id,false);
        	layer.msg('删除成功!');	
        }
   })
}


function goLevel(id,levelCode) {
	let url = ctx + "/promoter/getLevelConfig/"+id
	$.get(url,function (res){
		if(res.code != 200){
			return layer.msg(res.message,{icon:2});
		}
		var index = layer.open({
			type: 1
			,shade: 0.5
			,title: '升级'
			,maxmin: true
			,content: $("#upgrade").html()
			,area: ['400px', '400px']
			,btn: ['保存','取消',]
			,shadeClose: true
			,btn1: function(index, layero) {
				if(!$("#leveCode").val()){
					layer.msg("请选择等级!");
					return;
				}
				layer.close(index);
				LevelV2(id,$("#leveCode").val());
			}
			,btn2: function(index, layero){
				layer.close(index);
			}
			,success:function () {
				let dom = $("#leveCode");
				let data = res.data;
				let content = "<option value=''>请选择</option>";
				dom.empty();
				if(data.length > 0){
					$.each(data,function (key,val){
						content += "<option value='"+val.levelCode+"'>"+val.levelName+"</option>"
					})
				}
				$("#form2").append('<input name="id" id="upGradeId" hidden value="'+id+'">')
				dom.append(content);
			}
		});
		form.render('select');
	})
}

function LevelV2(id,levelCode){
	var url = ctx+'/promoter/goLevelV2';
	$.ajax({
		url:url,
		type:"post",
		dataType:"json",
		data:{
			"id":id,
			"levelCode":levelCode,
		},
		success:function(res){
			queryUserApp(pageIndex);
			layer.msg(res.message,{icon:res.code == 200 ? 1: 2});
			setTimeout(function (){layer.closeAll();},1500);
		}
	})
}

// function Level(id,leveleUser){
// 	if(StringUtil.isNotJustInteger(leveleUser)){
// 		if(StringUtil.isBlank(leveleUser)){
// 			layer.msg('请选择等级');
// 			return;
// 		}
// 	}
//
// 	var url=ctx+'/promoter/goLevel';
// 	$.ajax({
//         url:url,
//         type:"post",
//         dataType:"json",
//         data:{
//         	"id":id,
//         	"level":leveleUser,
//         },
//         success:function(result){
//         	queryUserApp(pageIndex);
//         	layer.msg(result.msg);
//         	setTimeout(function (){layer.closeAll();},1500);
//         }
// 	})
// }

//时间格式化处理
function dateFtt(fmt,date)   
{ //author: meizz   
  var o = {   
    "M+" : date.getMonth()+1,                 //月份   
    "d+" : date.getDate(),                    //日   
    "h+" : date.getHours(),                   //小时   
    "m+" : date.getMinutes(),                 //分   
    "s+" : date.getSeconds(),                 //秒   
    "q+" : Math.floor((date.getMonth()+3)/3), //季度   
    "S"  : date.getMilliseconds()             //毫秒   
  };   
  if(/(y+)/.test(fmt))   
    fmt=fmt.replace(RegExp.$1, (date.getFullYear()+"").substr(4 - RegExp.$1.length));   
  for(var k in o)   
    if(new RegExp("("+ k +")").test(fmt))   
  fmt = fmt.replace(RegExp.$1, (RegExp.$1.length==1) ? (o[k]) : (("00"+ o[k]).substr((""+ o[k]).length)));   
  return fmt;   
}


